Skip to main content
GET
TrackAircraft

Authorizations

X-WorldMonitor-Key
string
header
required

User-issued WorldMonitor API key.

Query Parameters

icao24
string

ICAO 24-bit transponder address (hex, e.g., "4b1805").

callsign
string

ATC callsign (e.g., "THY7CX").

sw_lat
number<double>

Optional bounding box south-west latitude.

sw_lon
number<double>

Optional bounding box south-west longitude.

ne_lat
number<double>

Optional bounding box north-east latitude.

ne_lon
number<double>

Optional bounding box north-east longitude.

jmespath
string

Optional JMESPath expression applied server-side to project or reduce the JSON response before it is returned (mirrors the MCP jmespath argument). Invalid expressions, expressions larger than 1024 UTF-8 bytes, or projections that exceed the 256 KB output cap return HTTP 400 with a {_jmespath_error, original_keys} envelope. Grammar and worked examples: https://www.worldmonitor.app/docs/mcp-jmespath.

Response

Successful response

TrackAircraftResponse contains aircraft position observations.

positions
object[]
source
string

Data source identifier.

updatedAt
integer<int64>

Last update time as Unix epoch milliseconds.. Warning: Values > 2^53 may lose precision in JavaScript